"""Check lines for continuity information"""

import re

continutityRegExp="^time step continuity errors : sum local = (.+), global = (.+), cumulative = (.+)$"
    
from FileLineAnalyzer import FileLineAnalyzer
from TimeLineLineAnalyzer import TimeLineLineAnalyzer

class ContinuityLineAnalyzer(FileLineAnalyzer):
    """Parses line for continuity information"""

    def __init__(self):
        FileLineAnalyzer.__init__(self,titles=["Local","Global","Cumulative"])
        self.exp=re.compile(continutityRegExp)

    def doAnalysis(self,line):
        m=self.exp.match(line)
        if m!=None:
            self.files.write("continuity",self.parent.getTime(),m.groups())
            
    
class TimeLineContinuityLineAnalyzer(TimeLineLineAnalyzer):
    """Parses line for continuity information"""

    def __init__(self):
        TimeLineLineAnalyzer.__init__(self)
        self.exp=re.compile(continutityRegExp)

    def doAnalysis(self,line):
        m=self.exp.match(line)
        if m!=None:
            #            self.lines.setValue("Local",m.groups()[0]) 
            self.lines.setValue("Global",m.groups()[1]) 
            self.lines.setValue("Cumulative",m.groups()[2]) 
    
