#! /usr/bin/env python 

description="""
Adds an empty boundary to a case file
"""

from PyFoam.Basics.FoamOptionParser import FoamOptionParser
from os import path
import sys
from PyFoam.RunDictionary.ParsedParameterFile import ParsedParameterFile
from PyFoam.RunDictionary.ListFile import ListFile

parse=FoamOptionParser(description=description,usage="%prog <caseDirectory> <boundaryName>")
parse.parse(nr=2)

fName=parse.getArgs()[0]
bName=parse.getArgs()[1]

boundary=ParsedParameterFile(path.join(".",fName,"constant","polyMesh","boundary"),debug=False)
faces=ListFile(path.join(".",fName,"constant","polyMesh"),"faces")
lastFace=faces.getSize()
if len(boundary.content)!=1:
    print "Problem with boundary file (more than one list)"
    print boundary.content
    sys.exit(-1)

bnd=boundary.content.values()[0]

if type(bnd)!=list:
    print "Problem with boundary file (not a list)"
    sys.exit(-1)

bnd.append(bName)

val={}
val["type"]="wall"
val["nFaces"]="0"
val["startFace"]=str(lastFace)

bnd.append(val)

boundary.writeFile()

